welle-cli(1)

NAME
welle-cli - DAB/DAB+ Software Radio

SYNOPSIS
welle-cli [options]

DESCRIPTION
welle.io is an open source DAB and DAB+ software defined radio (SDR) with support for rtl-sdr (RTL2832U) and airspy. It supports high DPI and touch displays and it runs even on cheap computers like Raspberry Pi 2/3 and 100€ China Windows 10 tablets.

OPTIONS
Receive using RTLSDR, and play with ALSA:

    welle-cli -c channel -p programme

Read an IQ file and play with ALSA: IQ file format is u8, unless the file ends with FORMAT.iq

    welle-cli -f file -p programme

Use -D to dump FIC and all programmes to files.

    welle-cli -c channel -D

Use -w to enable webserver, decode a programmes on demand.

    welle-cli -c channel -w port

Use -Dw to enable webserver, decode all programmes.

    welle-cli -c channel -Dw port

Use -C 1 -w to enable webserver, decode programmes one by one in a carousel. Use -C N -w to enable webserver, decode programmes N by N in a carousel. This is useful if your machine cannot decode all programmes simultaneously, but you still want to get an overview of the ensemble. Without the -P option, welle-cli will switch every 10 seconds. With the -P option, welle-cli will switch once DLS and a slide were decoded, staying at most 80 seconds on a given programme.

    welle-cli -c channel -C 1 -w port welle-cli -c channel -PC 1 -w port

Backend and input options

-u  disable coarse corrector, for receivers who have a low frequency offset.

-g GAIN set input gain to GAIN or -1 for auto gain.

-A ANT
    set input antenna to ANT (for SoapySDR input only).

Use -t test_number to run a test. To understand what the tests do, please see source code.

    examples: welle-cli -c 10B -p GRRIF

    welle-cli -f ./ofdm.iq -p GRRIF welle-cli -f ./ofdm.iq -t 1

SEE ALSO
welle-io(1).